Bug 1409908 - python-kombu is missing a dependency on the vine module
Summary: python-kombu is missing a dependency on the vine module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kombu
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1408869
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 20:58 UTC by Jeremy Cline
Modified: 2017-01-05 06:39 UTC (History)
4 users (show)

Fixed In Version: python-kombu-4.0.2-2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-05 06:39:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeremy Cline 2017-01-03 20:58:01 UTC
Description of problem:
Kombu appears to depend on the ``vine`` Python module, but it's not installed.


Version-Release number of selected component (if applicable):
python3-kombu-4.0.2-1.fc26.noarch


How reproducible: Always


Steps to Reproduce:
1. sudo dnf install python3-kombu
2. Open a Python 3 shell
3. ``from kombu import five``

Actual results:
[vagrant@rawhide yum.repos.d]$ python3
Python 3.6.0 (default, Dec 27 2016, 20:50:38) 
[GCC 6.3.1 20161221 (Red Hat 6.3.1-1)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from kombu import five
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python3.6/site-packages/kombu/five.py", line 6, in <module>
    import vine.five
ModuleNotFoundError: No module named 'vine'
>>> quit()
[vagrant@rawhide yum.repos.d]$ rpm -q python3-kombu
python3-kombu-4.0.2-1.fc26.noarch

Expected results:
Successfully import all modules

Comment 1 Matthias Runge 2017-01-04 05:14:00 UTC
Yes, that was overlooked somehow. It is submitted for review, and I already asked for a review swap on devel@f.o
A dependency of vine (python-case) was packaged and included in rawhide yesterday.


Note You need to log in before you can comment on or make changes to this bug.